# -*- coding: utf-8 -*-
from setuphelpers import *
import json

def update_package():
    import json

    proxies = get_proxies_from_wapt_console()

    versiononline =  json.loads(wgets('https://api.github.com/repos/mattermost/desktop/releases/latest',proxies=proxies))['tag_name'].strip('v')

    filename = 'mattermost-desktop_%s-1_amd64.deb' % (versiononline)
    url = 'https://releases.mattermost.com/desktop/%s/%s' % (versiononline,filename)

    for fileexe in glob.glob('*.deb'):
        if fileexe != filename :
            print('Delete ' + fileexe)
            remove_file(fileexe)

    if not isfile(filename):
        print('Download ' + url)
        wget(url,filename,proxies=proxies)
    else:
        print('Skip - %s already exist' % filename)

    control.version = versiononline + '-0'
    control.save_control_to_wapt()

